Skip to main content
POST
/
v1
/
runs
/
consume
/
{runId}
apply sync metered event to a run
curl --request POST \
  --url https://api.unprice.dev/v1/runs/consume/{runId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "featureSlug": "<string>",
  "idempotencyKey": "<string>",
  "id": "<string>",
  "eventSlug": "<string>",
  "timestamp": 1,
  "properties": {}
}
'
import requests

url = "https://api.unprice.dev/v1/runs/consume/{runId}"

payload = {
"featureSlug": "<string>",
"idempotencyKey": "<string>",
"id": "<string>",
"eventSlug": "<string>",
"timestamp": 1,
"properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
featureSlug: '<string>',
idempotencyKey: '<string>',
id: '<string>',
eventSlug: '<string>',
timestamp: 1,
properties: {}
})
};

fetch('https://api.unprice.dev/v1/runs/consume/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accepted": true,
  "run": {
    "runId": "<string>",
    "customerId": "<string>",
    "budgetAmountMinor": 123,
    "consumedAmountMinor": 123,
    "remainingAmountMinor": 123,
    "currency": "<string>",
    "workloadId": "<string>",
    "traceId": "<string>",
    "parentRunId": "<string>",
    "endedAt": 1
  }
}
{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string
required

The run ID

Minimum string length: 1
Example:

"brun_123"

Body

application/json

The sync event payload

featureSlug
string
required
Minimum string length: 1
idempotencyKey
string
required
Minimum string length: 1
id
string
Minimum string length: 1
eventSlug
string
Minimum string length: 1
timestamp
integer
Required range: x > 0
properties
object

Response

The sync event decision

accepted
boolean
required
reason
enum<string>
required
Available options:
accepted,
duplicate,
insufficient_budget,
expired,
not_running,
entitlement_denied
run
object
required